services:
  backend:
    build:
      context: .
      dockerfile: Dockerfile.backend
    restart: unless-stopped
    volumes:
      - zonemaster-data:/var/lib/zonemaster
      - zonemaster-logs:/var/log/zonemaster

  frontend:
    build:
      context: .
      dockerfile: Dockerfile.gui
    ports:
      - "5353:80"
    depends_on:
      - backend
    restart: unless-stopped

volumes:
  zonemaster-data:
  zonemaster-logs:
